package esame.dao;


import org.junit.After;
import org.junit.AfterClass;
import org.junit.Assert;
import org.junit.Before;
import org.junit.BeforeClass;
import org.junit.Test;

public class TestoDAOTest {

	private static DAOFactory factory;
	
	@BeforeClass
	public static void setUpBeforeClass() throws Exception 
	{
		factory=DAOFactory.getDAOFactory(DAOFactory.HSQLDB);
		
	}

	@AfterClass
	public static void tearDownAfterClass() throws Exception {
	}

	@Before
	public void setUp() throws Exception {
		TestoDAO testo=factory.getTestoDAO();
		testo.createTable();
	}

	@After
	public void tearDown() throws Exception {
		TestoDAO testo=factory.getTestoDAO();
		testo.dropTable();
	}
	
	@Test
	public void testTesto()
	{
		TestoDAO testo=factory.getTestoDAO();
		Assert.assertTrue(testo.create(new TestoDTO(1L,"prova")));
		Assert.assertTrue(testo.getLastInsertedId()>=0L);
	}

}
