package esame.servlet;

import java.io.IOException;
import java.io.PrintWriter;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import esame.dao.DAOFactory;
import esame.dao.TestoDAO;
import esame.dao.TestoDTO;

public class memorizzaTestoServlet extends HttpServlet 
{
	/**
	 * Serial version UID.
	 */
	private static final long serialVersionUID = 1L;
	
	@Override
	public void doPost(HttpServletRequest req,HttpServletResponse resp) throws ServletException,IOException
	{
		String testo=req.getParameter("testo");
		
		if(testo==null)
			throw new IllegalArgumentException("\"testo\" nullo.");
		if(testo.isEmpty())
			throw new IllegalArgumentException("\"testo\" vuoto.");
		
		DAOFactory daoFactory=DAOFactory.getDAOFactory(getServletContext().getInitParameter("dao"));
		
		if(daoFactory==null)
			throw new RuntimeException("Dao factory sconosciuta.");
		
		TestoDAO testoDao=daoFactory.getTestoDAO();
		
		if(testoDao.create(new TestoDTO(0L,testo)))
		{
			Long id=testoDao.getLastInsertedId();
			
			resp.setContentType("text/html");
			
			managePositiveInsert(resp.getWriter(),id,resp.encodeURL(req.getContextPath()+"/es_2.htm"));
		}
		else
		{
			throw new RuntimeException("Errore di inserimento.");
		}
			
	}
	
	private void managePositiveInsert(PrintWriter out,Long id,String back)
	{
		out.println("<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\" \"http://www.w3.org/TR/html4/loose.dtd\">");
		out.println("");
		out.println("<html>");
		out.println("\t<head>");
		out.println("\t\t<title>Pagina di conferma</title>");
		out.println("\t\t<link type=\"text/css\" href=\"./styles/myDefault.css\" rel=\"stylesheet\">");
		out.println("\t</head>");
		out.println("\t<body>");
		out.println("\t\t<p>Inserimento del testo effettuato con successo</p>");
		out.println("\t\t<p>ID: "+id+"</p>");
		out.println("\t\t<a href=\""+back+"\">Torna a Esercizio 2</a>");
		out.println("\t</body>");
		out.println("</html>");
	}
}
